;----------------------------------------------------------------------------
;    MODULE NAME:   REXSYSTM.X
;
;        $Author:   Dennis_Bareis  $
;      $Revision:   1.1  $
;          $Date:   31 Jan 1999 17:40:54  $
;       $Logfile:   E:/DB/PVCS.IT/OS2/REXXHDR/REXSYSTM.X_V  $
;         SOURCE:   http://www.labyrinth.net.au/~dbareis/index.htm (db0@anz.com)
;
;    DESCRIPTION:   Example program for "REXSYSTM.XH".
;
;                   Compile with "ppwizard REXSYSTM.X /rexx"
;
;                   On its own this example does not do much, however try
;                   running "REXSYSTM DEBUG".
;
;                   THIS CODE WILL WORK UNDER STANDARD REXX AND REGINA.
;
;----------------------------------------------------------------------------

/*
 * $Header:   E:/DB/PVCS.IT/OS2/REXXHDR/REXSYSTM.X_V   1.1   31 Jan 1999 17:40:54   Dennis_Bareis  $
 */

/*--- Determine REXX & Operating System etc ---------------------------------*/
call RemoveColorCodes;                                    ;;Start without color (set here in case initialization fails)
#define   REXSYSTM_ERROR_ROUTINE   RexSystemFailure       ;;Have "RexSystm" code include error handler
#define   REXSYSTM_INCL_AddressCmd
#define   REXSYSTM_INCL_SysSleep
;#define   REXSYSTM_INCL_RexGetTmpFileName
;#define   REXSYSTM_INCL_filespec
;#define   REXSYSTM_INCL_GetEnv
;#define   REXSYSTM_INCL_SetEnv
;#define   REXSYSTM_INCL_SysFileDelete
;#define   REXSYSTM_INCL_SysSearchPath
;#define   REXSYSTM_INCL_SysFileTree
#include  "REXSYSTM.XH"
ThisPgmName = RexSystmRexxPgmName;
ThisOpSys   = RexSystemOpSys;

/*--- Set up colors to be used ----------------------------------------------*/
if <$RexOpSysIsOs2> then
   call SetColorCodes;
else
   call RemoveColorCodes;             ;;NT does not have ANSI?! (Way coded OS/2 will also be colorless!)

/*--- Call some external operating system features --------------------------*/
call charout ,HighlightColor;
TheRc = AddressCmd('cls');
TheRc = AddressCmd('echo ' || ThisPgmName || ' says HI (from ' || ThisOpSys || ')');
call charout ,Reset;

/*--- Sleep for a second ----------------------------------------------------*/
call _SysSleep(1);

/*--- Thats all (most calls support all or subset of what OS/2 documents) ---*/
say 'Thats All Folks';
exit(1);


/*===========================================================================*/
RexSystemFailure:
/*                                                                           */
/* We have told "REXSYSTM.XH" to call this routine on failure.               */
/*                                                                           */
/* THIS ROUTINE IS PASSED AN ERROR MESSAGE AND IS NOT EXPECTED TO RETURN     */
/* TO THE CALLER!!!                                                          */
/*===========================================================================*/
   /*--- Display error message ----------------------------------------------*/
   FailedAt = SIGL;
   say ErrorColor || arg(1) || Reset;
   say '';
   say '';

   /*--- Dump Rexx & operating environment specific information -------------*/
   call RexDumpSystemInfo;

   /*--- Display the error message and exit ---------------------------------*/
   exit(FailedAt);


/*===========================================================================*/
SetColorCodes:
/*===========================================================================*/
   EscapeChar     = d2c(27);
   Reset          = EscapeChar || '[0m';
   HighlightColor = EscapeChar || '[1;35m';
   TitleColor     = EscapeChar || '[0;32m';
   ErrorColor     = EscapeChar || '[1;31m';
   WarningColor   = EscapeChar || '[0;33m';
   InfoColor      = EscapeChar || '[0;1m';
   return;


/*===========================================================================*/
RemoveColorCodes:
/*===========================================================================*/
   Reset           = '';
   HighlightColor  = '';
   TitleColor      = '';
   ErrorColor      = '';
   WarningColor    = '';
   InfoColor       = '';
   return;

